#include <iostream>

using namespace std;

int main()
{
    int N,M,j,i,n=0;
    cin>>N>>M;
    int a[N],f[N],ma[M],mf[M],mk[M];
    for(i=0;i<N;i++)
    {
        cin>>a[i]>>f[i];
    }
    for(i=0;i<M;i++)
    {
        cin>>ma[i]>>mf[i]>>mk[i];
    }
    for(i=0;i<M;i++)
    {
        for(j=ma[i]-1;j<=mf[i]-1;j++)
        {
            if(mk[i]>=a[j] && f[j]>=mk[i])
            {
                n++;
            }
        }
        cout<<n<<endl;
        n=0;
    }
    
    
    return 0;
}